#include<bits/stdc++.h>
using namespace std;
int su(int x)
{
    int d=2;
    for(int i=2;i<x-1;i++)
    {
        if(x%i==0)
        {
            d++;
        }
    }
    return d;
}
int main()
{
    ifstream fi("cau1_17.inp");
    ofstream fo("cau1_17.out");
    int n,k;
    int dem=0;
    fi>>n>>k;
    for(int i=1;i<=n;i++)
    {
        if(su(i)==k)
        {
            dem++;
        }
    }
    fo<<dem;
}
